/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */


public class Arrow extends Projectile 
{
	public Arrow(Vector2D initialPosition, float accelerationX, float accelerationY, int damage, long lifeSpan, long delay, Direction dir)
	{		
		super(initialPosition, accelerationX, accelerationY, damage, lifeSpan, delay);
		m_usesBounding = false;
		
		m_animator.LoadSpriteSheet(".\\Resources\\Images\\bow\\arrow.png");
		
		if (dir == Direction.EAST)
		{
			m_animator.AddAnimation(Action.Idle, Direction.EAST, 0, 0, 32, 32, 1);
		}
		else if (dir == Direction.SOUTH)
		{
			m_animator.AddAnimation(Action.Idle, Direction.SOUTH, 32, 0, 32, 32, 1);
		}
		else if (dir == Direction.NORTH)
		{
			m_animator.AddAnimation(Action.Idle, Direction.NORTH, 0, 32, 32, 32, 1);
		}
		else if (dir == Direction.WEST)
		{
			m_animator.AddAnimation(Action.Idle, Direction.WEST, 32, 32, 32, 32, 1);
		}

		m_animator.BeginNewAction(dir, Action.Idle, lifeSpan, false);
		
		m_currentImage = m_animator.CalculateNextFrameSinusoidal();

		InitializeBoundingBox();
	}

	@Override
	protected void InitializeSprites()
	{
		
	}

	@Override
	protected void InitializeStartingVectors() 
	{
	
	}

}
