/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.util.LinkedList;

public class Bat extends Monster {

	public Bat(int monsterLevel) 
	{
		super(monsterLevel);
	}

	@Override
	protected void InitializeSprites() 
	{
		m_animator.LoadSpriteSheet(".\\Resources\\Images\\bat.png");
		
		int frameHeight = 32;
		int frameWidth = 32;
		int animationFrames = 3;
		
		LinkedList<Direction> directionsInOrder = new LinkedList<Direction>();
		directionsInOrder.add(Direction.NORTH);
		directionsInOrder.add(Direction.WEST);
		directionsInOrder.add(Direction.SOUTH);
		directionsInOrder.add(Direction.EAST);
		
		m_animator.AddAnimations(Action.Idle, directionsInOrder, frameHeight, frameWidth, animationFrames);
		
		m_animator.BeginNewAction(Direction.SOUTH, Action.Idle, 1000, true);	
		m_animator.SetAnimationFrequency(0.0025);
		
		m_currentImage = m_animator.CalculateNextFrameSinusoidal();
	}
	
	@Override
	protected GameObject RandomTreasure() 
	{
		switch(Global.rand.nextInt(14))
		{
		case 0:
		case 1:
		case 2:			
		case 3:
		case 4:
			return new Coin(Coin.CoinType.COPPER, (int)m_position.GetX(), (int)m_position.GetY());
		case 5:
		case 6:
			return new Coin(Coin.CoinType.SILVER, (int)m_position.GetX(), (int)m_position.GetY());
		case 7:
			return new Coin(Coin.CoinType.GOLD, (int)m_position.GetX(), (int)m_position.GetY());
		case 8:
		case 9:
		case 10:
		case 11:
		case 12:
		case 13:
			return new Item((int)m_position.GetX(), (int)m_position.GetY());
		}
		
		return null;
	}
}
