/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */




public class Fireball extends Projectile
{

	public Fireball(Vector2D initialPosition, float accelerationX, float accelerationY, int damage, long lifeSpan, long delay)
	{		
		super(initialPosition, accelerationX, accelerationY, damage, lifeSpan, delay);
		m_usesBounding = false;
	}
	
	@Override
	public void Update(long elapsedGameTime)
	{
		super.Update(elapsedGameTime);
		super.UpdatePosition(elapsedGameTime);
	}
	
	@Override
	protected void InitializeSprites()
	{
		m_animator.LoadSpriteSheet(".\\Resources\\Images\\playerFireball.png");
		
		m_animator.AddAnimation(Action.Idle, Direction.NORTH, 0, 0, 20, 20, 1);
		
		m_animator.BeginNewAction(Direction.NORTH, Action.Idle, 0, false);
		
		m_currentImage = m_animator.CalculateNextFrameSinusoidal();
	}

	@Override
	protected void InitializeStartingVectors() 
	{
		
	}
}
