import java.awt.Graphics2D;

/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

public class GameOverScroll extends ScrollOverlay 
{
	GameMode m_mode;
	
	public GameOverScroll(GameEngine gameEngine, GameMode mode) 
	{
		super(gameEngine);
		
		m_mode = mode;
	}
	
	@Override
	public void Paint(Graphics2D graphics)
	{
		super.Paint(graphics);
		
		int y = m_y + m_scrollBarTopHeight;
		
		y += 20;
		
		if (m_mode == GameMode.GAME_OVER)
		{
			graphics.drawString("GAME OVER", m_x + (m_scrollBarWidth / 2) - 20, y);
			
			y += 20;
			
			graphics.drawString("A valiant attempt.  Thanks for playing.", m_x + 10, y);
		}
		else if (m_mode == GameMode.GAME_VICTORY)
		{
			graphics.drawString("VICTORY!", m_x + (m_scrollBarWidth / 2) - 20, y);
			
			y += 20;
			
			graphics.drawString("Well done on a hard-earned victory!", m_x + 10, y);
		}

		
	}

}
