import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.event.KeyEvent;

/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

public class HelpOverlay extends ScrollOverlay
{
	// Members
	public HelpOverlay(GameEngine gameEngine)
	{
		super(gameEngine);
	}
	
	@Override
	public void Paint(Graphics2D graphics)
	{
		super.Paint(graphics);
		
		int y = m_y + m_scrollBarTopHeight;
		
		y += 20;
		graphics.drawString("HELP MENU", m_x + (m_scrollBarWidth / 2) - 60, y);

		y += 20;
		
		// Do your custom inventory rendering in here
		String[] helpText = 
			 {
			 "Welcome to BloodMoon, where you have to slay the dreaded PUMPKING!!",
			 "He has invaded the South-East most island, and it is up to you to slay him.",
			 "",
			 "Movement",
			 "     Move Up - A / Arrow Key Up / Num Pad Up",
			 "     Move Left - S / Arrow Key Left / Num Pad Left",
			 "     Move Down - D / Arrow Key Down / Num Pad Down",
			 "     Move Right - W / Arrow Key Right / Num Pad Right",
			 "Attacks",
			 "     Space - Basic Weapon attack",
			 "     J - Fireball",
			 "     K - Heavy Strike, requires dagger equipped.",
			 "     L - Multi Shot, requires bow equipped.",
			 "Menu Commands",
			 "     Esc - Menu/Leave Menu",
			 "     Enter - Select",
			 "     U - Skills",
			 "     G - Weapon Swap",
			 "     I - Inventory",
			 "Skills",
			 "     Health Passive - Better living through Chemistry!",
			 "     Mana Regen - Juice for the magery",
			 "     Attack Speed - Kill it FASTER",
			 "     Heavy Strike - ME SMASH",
			 "     MultiShot - They will have to fight in the shade",
			 "     Fireball - Do you really need me to explain this one?" 
			 };
			 
		
		for(String s : helpText)
		{
			graphics.setColor(Color.BLACK);
			graphics.drawString(s, m_x + 40, y);
			
			y += 20;
		}
	}
		
	@Override
	public void Update(long elapsedGameTime, KeyboardInput keyboard)
	{
		super.Update(elapsedGameTime, keyboard);
		
		if( keyboard.keyDownOnce(KeyEvent.VK_ESCAPE))
		{
			m_gameEngine.setGameMode();
		}
		else if (keyboard.keyDownOnce(KeyEvent.VK_ENTER))
		{
			m_gameEngine.setGameMode();
		}
	}
}
