/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */



public class Item extends GameObject
{
	protected long m_lifeSpan;

	public Item(float locationX, float locationY)
	{
		super();
		
		// Items de-spawn after 10 seconds
		m_lifeSpan = 1000 * 10;
		
		m_position = new Vector2D(locationX, locationY);
		
		InitializeBoundingBox();
		
//		SetShowDebug(true);
//		SetDebugColor(Color.white);
	}

	@Override
	public void Update(long elapsedGameTime) 
	{
		m_lifeSpan -= elapsedGameTime;
		
		if (m_lifeSpan < 0L)
		{
			SetExpired();
		}
	}

	@Override
	protected void InitializeSprites()
	{
		m_animator.LoadSpriteSheet(".\\Resources\\Images\\Treasure\\ItemIcon.png");
		
		m_animator.AddAnimation(Action.Idle, Direction.SOUTH, 0, 0, 24, 26, 1);
		
		m_animator.BeginNewAction(Direction.SOUTH, Action.Idle, m_lifeSpan, false);
		
		m_currentImage = m_animator.CalculateNextFrameLinear(0);
	}

	@Override
	protected void InitializeStartingVectors() 
	{		
	}

	public InventoryItem GetInventoryItem()
	{
		return InventoryItem.GenerateRandom();
	}
}
