/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class Maze {

	protected Map[][] m_zone = new Map[5][5];
	
	private int mazeWidth;
	private int mazeHeight;

	// Load in a set maze
	public Maze(String filePathToMaze) 
	{
		int type[][] = new int[5][5];
				
		try
		{
			BufferedReader mazeFile = new BufferedReader(new FileReader(filePathToMaze));
			
			String mapFile = mazeFile.readLine();
			
			mazeWidth = Integer.parseInt(mazeFile.readLine());
			mazeHeight = Integer.parseInt(mazeFile.readLine());
			
			for(int j = 0; j < mazeHeight; j++)
			{
				String s[] = mazeFile.readLine().split(" ");
				for(int i = 0; i < mazeWidth; i++)
				{
					type[i][j] = Integer.parseInt(s[i]);
				}
			}

			for(int j = 0; j < mazeHeight; j++)
			{
				for(int i = 0; i < mazeWidth; i++)
				{
					m_zone[i][j] = new Map(mapFile, type[i][j]);
				}
			}

			// close the file
			mazeFile.close();
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
	}
}
