/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

public class MenuButton
{
	// Members
	// Image
	private int m_x;
	private int m_y;
	private BufferedImage m_image = null;
	private BufferedImage m_imageSelected = null;
	
	private String m_text;
	private MenuAction m_menuAction = MenuAction.NONE;

	// Getters
	public MenuAction getMenuAction()
	{
		return m_menuAction;
	}
	
	// Setters
	public void setImage(BufferedImage image)
	{
		m_image = image;
	}
	
	public void setImageSelected(BufferedImage image)
	{
		m_imageSelected = image;
	}
	
	// Constructors
	public MenuButton(int x, int y, MenuAction menuAction, String text)
	{
		m_x = x;
		m_y = y;
		m_menuAction = menuAction;
		m_text = text;
	}	
	
	public void Paint(Graphics2D graphics, boolean isSelected)
	{
		if( isSelected )
		{
			graphics.drawImage(m_imageSelected, null, m_x, m_y);
			graphics.setColor(Color.RED);
		}
		else
		{
			graphics.drawImage(m_image, null, m_x, m_y);
			graphics.setColor(Color.BLACK);
		}
		
	
		graphics.drawString(m_text, m_x + 10, m_y + 20);
	}
}
