import java.util.LinkedList;

/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

public class Pumpking extends Monster {

	public Pumpking(int monsterLevel) 
	{
		super(monsterLevel);

		m_canShootAtPlayer = true;
	}

	@Override
	protected GameObject RandomTreasure() {
		// TODO Auto-generated method stub
		return null;
	}
	
	
	@Override
	protected void InitializeSprites() 
	{
		LinkedList<Direction> directionsInOrder = new LinkedList<Direction>();
		directionsInOrder.add(Direction.NORTH);
		directionsInOrder.add(Direction.WEST);
		directionsInOrder.add(Direction.SOUTH);
		directionsInOrder.add(Direction.EAST);
		
		m_animator.LoadSpriteSheet(".\\Resources\\Images\\pumpking.png");
		
		m_animator.AddAnimations(Action.Idle, directionsInOrder, 46, 46, 3);
		
		m_animator.BeginNewAction(Direction.SOUTH, Action.Idle, 1000, true);	
		m_animator.SetAnimationFrequency(0.0025);
		
		m_currentImage = m_animator.CalculateNextFrameSinusoidal();
	}

}
