/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

/**
 * @author rpoland
 *
 */
public class Sandbox extends Map{

	// ==============================================
	//                 Members
	// ==============================================

	
	// ==============================================
	//                 Constructors
	// ==============================================
	public Sandbox() 
	{
		m_mapWidth = 20;
		m_mapHeight = 20;
		
		m_tileWidth = 32;
		m_tileHeight = 32;

		LoadTiles();
		LoadMap();
	}

	// ==============================================
	//               Private Methods
	// ==============================================
	private void LoadTiles()
	{
		m_tiles = new BufferedImage[3];
		
		String filePath = ".\\Resources\\Images\\Environment\\grass.png";
		BufferedImage spriteSheet = null;
		
		File imageFile = new File(filePath);
		try
		{
			spriteSheet = ImageIO.read(imageFile);
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
		
		
		for(int i = 0; i < 3; i++)
		{
			m_tiles[i] = spriteSheet.getSubimage(i * m_tileWidth, 160, m_tileWidth, m_tileHeight);
		}
	}

	
	private void LoadMap()
	{
		
		m_map = new int[m_mapHeight][m_mapWidth];
		
		for(int i = 0; i < m_mapWidth; i++)
		{
			for (int j = 0; j < m_mapHeight; j++)
			{
				m_map[i][j] = Global.rand.nextInt(3);
			}
		}
	}
}
