/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.event.KeyEvent;
import java.awt.image.BufferedImage;


public class ScrollOverlay
{
	// Members
	protected GameEngine m_gameEngine = null;
	private BufferedImage m_scrollImageTop = null;
	private BufferedImage m_scrollImageMiddle = null;
	private BufferedImage m_scrollImageBottom = null;
	protected int m_x = 10;
	protected int m_y = 30;
	protected int m_scrollBarTopHeight = 32;
	protected int m_scrollBarBottomHeight = 32;
	protected int m_scrollBarWidth = 200;

	
	// Constructors
	public ScrollOverlay(GameEngine gameEngine)
	{
		m_gameEngine = gameEngine;
		m_scrollImageTop = Game.LoadImage(".\\Resources\\Images\\Menu\\small scroll top.png");
		m_scrollBarTopHeight = m_scrollImageTop.getHeight();
		m_scrollBarWidth = m_scrollImageTop.getWidth();
		
		m_scrollImageMiddle = Game.LoadImage(".\\Resources\\Images\\Menu\\small scroll middle.png");
		m_scrollImageBottom = Game.LoadImage(".\\Resources\\Images\\Menu\\small scroll bottom.png");
		m_scrollBarBottomHeight = m_scrollImageBottom.getHeight();
	}
	
	public void Paint(Graphics2D graphics)
	{
		Game.DarkenScreen(graphics);
		
		int maxHeight = graphics.getClip().getBounds().height;

		// Render scroll
		graphics.drawImage(m_scrollImageTop, null, m_x, m_y);

		// Yes, yes.. some things can be factored out here.. feel free to do so yourself :)
		int middleScrollBarHeight = (maxHeight - m_scrollBarBottomHeight - m_y) - (m_y + m_scrollBarTopHeight);
		graphics.drawImage((Image)m_scrollImageMiddle, m_x, m_y + m_scrollBarTopHeight, m_scrollBarWidth, middleScrollBarHeight, null);
		graphics.drawImage(m_scrollImageBottom, null, m_x, maxHeight - m_scrollBarBottomHeight - m_y);
	}
	
	public void Update(long elapsedGameTime, KeyboardInput keyboard)
	{
		if( keyboard.keyDownOnce(KeyEvent.VK_ESCAPE))
		{
			m_gameEngine.setGameMode();
		}
	}
}
