/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */


public class Vector2D {

	private float m_x;
	private float m_y;
	
	public Vector2D (float x, float y)
	{
		SetX(x);		
		SetY(y);
	}
	
	public Vector2D (Vector2D vec)
	{
		Set(vec.GetX(), vec.GetY());
	}
	
	public void MultByValue(float value)
	{
		SetX(GetX() * value);
		SetY(GetY() * value);
	}
	
	public void AddY(float value)
	{
		m_y += value;
	}
	
	public void AddX(float value)
	{
		m_x += value;
	}

	public float GetX() 
	{
		return m_x;
	}

	public void SetX(float x) 
	{
		m_x = x;
	}

	public float GetY() 
	{
		return m_y;
	}

	public void SetY(float y) 
	{
		m_y = y;
	}
	
	public void Set(float x, float y) 
	{
		m_x = x;
		m_y = y;
	}
	
	public double Distance(Vector2D vector)
	{
		double x = (double)Math.abs(m_x - vector.GetX());
		double y = (double)Math.abs(m_y - vector.GetY());
		
		return Math.pow( Math.pow(x, 2.0) + Math.pow(y, 2.0), 0.5);
	}
	
	public Vector2D Subtract(Vector2D vector)
	{
		float x = m_x - vector.GetX();
		float y = m_y - vector.GetY();
		
		return new Vector2D(x,y);
	}
}
